Skip to main content
POST
https://checkout.dintero.com/v1/
/
transactions
/
{id}
/
capture
Capture a transaction
curl --request POST \
  --url https://checkout.dintero.com/v1/transactions/{id}/capture \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 29990
}
'
{
  "payment_product": "bambora",
  "payment_product_type": "bambora.applepay",
  "amount": 72200,
  "currency": "NOK",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "payout_destination_id": "<string>",
  "merchant_reference": "<string>",
  "channel": "ecommerce",
  "platform_type": "aggregator",
  "merchant_reference_2": "<string>",
  "dynamic_descriptor": "<string>",
  "payment_operation": "unscheduled_purchase",
  "settlement_status": "NOT_SETTLED",
  "customer": {
    "customer_id": "<string>",
    "email": "john.doe@example.com",
    "phone_number": "+4799999999",
    "my_dintero": {
      "actions": [
        "create_user"
      ],
      "terms": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "https://example.com/toc"
      }
    }
  },
  "customer_ip": "127.0.0.1",
  "user_agent": "Mozilla/5.0 ...",
  "initiating_system_request_headers": {
    "dintero-system-name": "woocommerce",
    "dintero-system-version": "5.0.0",
    "dintero-system-plugin-name": "Dintero.Checkout.WooCommerce",
    "dintero-system-plugin-version": "2021.03.02",
    "user-agent": "Mozilla: Mozilla/5.0"
  },
  "shipping_address": {
    "first_name": "John",
    "last_name": "Doe",
    "address_line": "<string>",
    "address_line_2": "<string>",
    "co_address": "Land Lord",
    "business_name": "<string>",
    "postal_code": "0349",
    "postal_place": "Oslo",
    "country": "NO",
    "phone_number": "<string>",
    "email": "<string>",
    "latitude": 123,
    "longitude": 123,
    "comment": "<string>",
    "organization_number": "<string>",
    "organization_type": "<string>",
    "customer_reference": "<string>",
    "cost_center": "<string>"
  },
  "shipping_option": {
    "id": "bring-pick-up-00001",
    "line_id": "bring-pick-up-00001-location-0a1f6b",
    "amount": 3900,
    "title": "Standard",
    "operator": "Bring",
    "countries": [
      "NO"
    ],
    "vat_amount": 975,
    "vat": 25,
    "description": "Pick up at your nearest postal office",
    "delivery_method": "pick_up",
    "operator_product_id": "pick-up-00001-location-0a1f6b",
    "eta": {
      "working_days": [
        1,
        2
      ],
      "shipping_day_of_week": 3,
      "arrival_day_of_week": 3,
      "starts_at": "2020-10-14T19:00:00Z",
      "ends_at": "2020-10-14T20:00:00Z"
    },
    "time_slot": {
      "starts_at": "2020-10-14T19:00:00Z",
      "ends_at": "2020-10-14T20:00:00Z"
    },
    "pick_up_address": {
      "first_name": "John",
      "last_name": "Doe",
      "address_line": "<string>",
      "address_line_2": "<string>",
      "co_address": "Land Lord",
      "business_name": "<string>",
      "postal_code": "0349",
      "postal_place": "Oslo",
      "country": "NO",
      "phone_number": "<string>",
      "email": "<string>",
      "latitude": 123,
      "longitude": 123,
      "comment": "<string>",
      "organization_number": "<string>",
      "organization_type": "<string>",
      "customer_reference": "<string>",
      "cost_center": "<string>",
      "website_url": "<string>",
      "opening_hours": {
        "open_now": true,
        "periods": [
          {
            "opens_at": "08:00",
            "closes_at": "16:00",
            "day_of_week": 1
          }
        ],
        "timezone": "Europe/Oslo"
      },
      "distance": 123
    },
    "metadata": {
      "operator_dest": "XAB1239",
      "number_x": 1921
    },
    "environmental_data": {
      "description": "Fossil free",
      "details": [
        {
          "label": "Carbon offset",
          "value": "1KG CO2"
        }
      ]
    },
    "thumbnail_url": "<string>",
    "pay_in_store": {
      "type": "full"
    },
    "fee_split": {
      "type": "proportional",
      "destinations": [
        "<string>"
      ]
    },
    "splits": [
      {
        "payout_destination_id": "seller-1",
        "amount": 29700
      }
    ],
    "shipments": [
      {
        "id": "bring-pick-up-00001",
        "line_id": "bring-pick-up-00001-location-0a1f6b",
        "amount": 3900,
        "title": "Standard",
        "operator": "Bring",
        "countries": [
          "NO"
        ],
        "vat_amount": 975,
        "vat": 25,
        "description": "Pick up at your nearest postal office",
        "delivery_method": "pick_up",
        "operator_product_id": "pick-up-00001-location-0a1f6b",
        "eta": {
          "working_days": [
            1,
            2
          ],
          "shipping_day_of_week": 3,
          "arrival_day_of_week": 3,
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "time_slot": {
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "pick_up_address": {
          "first_name": "John",
          "last_name": "Doe",
          "address_line": "<string>",
          "address_line_2": "<string>",
          "co_address": "Land Lord",
          "business_name": "<string>",
          "postal_code": "0349",
          "postal_place": "Oslo",
          "country": "NO",
          "phone_number": "<string>",
          "email": "<string>",
          "latitude": 123,
          "longitude": 123,
          "comment": "<string>",
          "organization_number": "<string>",
          "organization_type": "<string>",
          "customer_reference": "<string>",
          "cost_center": "<string>",
          "website_url": "<string>",
          "opening_hours": {
            "open_now": true,
            "periods": [
              {
                "opens_at": "08:00",
                "closes_at": "16:00",
                "day_of_week": 1
              }
            ],
            "timezone": "Europe/Oslo"
          },
          "distance": 123
        },
        "metadata": {
          "operator_dest": "XAB1239",
          "number_x": 1921
        },
        "environmental_data": {
          "description": "Fossil free",
          "details": [
            {
              "label": "Carbon offset",
              "value": "1KG CO2"
            }
          ]
        },
        "thumbnail_url": "<string>",
        "pay_in_store": {
          "type": "full"
        },
        "fee_split": {
          "type": "proportional",
          "destinations": [
            "<string>"
          ]
        },
        "splits": [
          {
            "payout_destination_id": "seller-1",
            "amount": 29700
          }
        ],
        "shipment_id": "<string>",
        "shipment_items": [
          {
            "line_id": "line-id-1",
            "quantity": 123
          }
        ]
      }
    ]
  },
  "billing_address": {
    "first_name": "John",
    "last_name": "Doe",
    "address_line": "<string>",
    "address_line_2": "<string>",
    "co_address": "Land Lord",
    "business_name": "<string>",
    "postal_code": "0349",
    "postal_place": "Oslo",
    "country": "NO",
    "phone_number": "<string>",
    "email": "<string>",
    "latitude": 123,
    "longitude": 123,
    "comment": "<string>",
    "organization_number": "<string>",
    "organization_type": "<string>",
    "customer_reference": "<string>",
    "cost_center": "<string>"
  },
  "store": {
    "id": "sc029",
    "name": "SC Oslo",
    "business_name": "SC Oslo AS",
    "address": {
      "address_line": "Sommerkroveien 34",
      "postal_place": "Oslo",
      "country": "NO",
      "address_line_2": "PB 123",
      "postal_code": "0349"
    },
    "chain": "SuperChain",
    "email": "contact@superchain.com",
    "gln": "5790001398644",
    "organization_number": "123456789MVA",
    "phone_number": "+4738260107",
    "mcc": "5814",
    "bax": "102603",
    "terminal_id": "T0292",
    "payout_destination_id": "seller-1"
  },
  "status": "CAPTURED",
  "gift_cards": [
    {
      "type": "dintero.wallets",
      "card_id": "<string>",
      "amount": 123,
      "masked_card_token": "<string>"
    }
  ],
  "items": [
    {
      "amount": 2000,
      "quantity": 2.5,
      "line_id": "1",
      "description": "Forsvinnignspølse",
      "vat": 20,
      "id": "10"
    },
    {
      "amount": 6600,
      "quantity": 2,
      "line_id": "2",
      "description": "Vissvossafår på neppebrød",
      "vat": 20,
      "id": "6",
      "eligible_for_discount": true,
      "is_changed": true,
      "gross_amount": 10000,
      "discount_lines": [
        {
          "amount": 4400,
          "discount_type": "customer",
          "discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
          "description": "Vossafestpris",
          "line_id": 1
        }
      ]
    },
    {
      "amount": 59700,
      "quantity": 3,
      "line_id": "3",
      "description": "Luftboller",
      "vat": 20,
      "id": "1"
    }
  ],
  "url": {
    "redirect_url": "<string>",
    "approval_url": "<string>",
    "callback_url": "<string>"
  },
  "events": [
    {
      "event": "INITIATE",
      "transaction_status": "INITIATED",
      "created_at": "2019-01-18T13:13:37.175Z",
      "success": true,
      "request_id": "a3dcc23125bc4363b9dae29ed25a4eb1"
    },
    {
      "event": "AUTHORIZE",
      "transaction_status": "AUTHORIZED",
      "created_at": "2019-01-18T13:13:37.540Z",
      "success": true,
      "request_id": "f5f64165e5b3404e9af63586c184c3e9"
    },
    {
      "event": "CAPTURE",
      "transaction_status": "PARTIALLY_CAPTURED",
      "created_at": "2019-01-18T15:37:00.879Z",
      "created_by": "99115ac5-2d10-4be4-8594-bbf5e3aa7dfc",
      "amount": 59700,
      "splits": [
        {
          "payout_destination_id": "P000000001",
          "amount": 29700
        },
        {
          "payout_destination_id": "P000000002",
          "amount": 30000
        }
      ],
      "fee_split": {
        "type": "proportional",
        "destinations": [
          "P000000001"
        ]
      },
      "items": [
        {
          "amount": 59700,
          "quantity": 3,
          "line_id": "3"
        }
      ],
      "success": true,
      "request_id": "27c71936004e48649c6dd437d314d90c"
    },
    {
      "event": "CAPTURE",
      "transaction_status": "CAPTURED",
      "created_at": "2019-01-18T21:24:31.669Z",
      "created_by": "a33aef94-a17d-447a-a1dd-81055892b59d",
      "amount": 8600,
      "items": [
        {
          "amount": 2000,
          "quantity": 2,
          "line_id": "1"
        },
        {
          "amount": 6600,
          "quantity": 2,
          "line_id": "2"
        }
      ],
      "success": true,
      "request_id": "c3e60b98a1d1466c97151318be621cf9"
    }
  ],
  "session_id": "P00000000.465U8CUzaPVpneu1wt8Wei",
  "session": {
    "url": {
      "return_url": "https://example.com/accept",
      "callback_url": "https://example.com/callback?method=GET",
      "merchant_terms_url": "https://example.com/terms.html"
    },
    "order": {
      "amount": 72200,
      "currency": "NOK",
      "merchant_reference": "<string>",
      "vat_amount": 13660,
      "merchant_reference_2": "<string>",
      "event_reference": "<string>",
      "shipping_address": {
        "first_name": "John",
        "last_name": "Doe",
        "address_line": "<string>",
        "address_line_2": "<string>",
        "co_address": "Land Lord",
        "business_name": "<string>",
        "postal_code": "0349",
        "postal_place": "Oslo",
        "country": "NO",
        "phone_number": "<string>",
        "email": "<string>",
        "latitude": 123,
        "longitude": 123,
        "comment": "<string>",
        "organization_number": "<string>",
        "organization_type": "<string>",
        "customer_reference": "<string>",
        "cost_center": "<string>"
      },
      "billing_address": {
        "first_name": "John",
        "last_name": "Doe",
        "address_line": "<string>",
        "address_line_2": "<string>",
        "co_address": "Land Lord",
        "business_name": "<string>",
        "postal_code": "0349",
        "postal_place": "Oslo",
        "country": "NO",
        "phone_number": "<string>",
        "email": "<string>",
        "latitude": 123,
        "longitude": 123,
        "comment": "<string>",
        "organization_number": "<string>",
        "organization_type": "<string>",
        "customer_reference": "<string>",
        "cost_center": "<string>"
      },
      "partial_payment": false,
      "items": [
        {
          "amount": 2000,
          "quantity": 2,
          "line_id": "1",
          "description": "Forsvinnignspølse",
          "vat": 20,
          "id": "10"
        },
        {
          "amount": 6600,
          "quantity": 2,
          "line_id": "2",
          "description": "Vissvossafår på neppebrød",
          "vat": 20,
          "id": "6",
          "eligible_for_discount": true,
          "is_changed": true,
          "gross_amount": 10000,
          "discount_lines": [
            {
              "amount": 4400,
              "discount_type": "customer",
              "discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
              "description": "Vossafestpris",
              "line_id": 1
            }
          ]
        },
        {
          "amount": 59700,
          "quantity": 3,
          "line_id": "3",
          "description": "Luftboller",
          "vat": 20,
          "id": "1"
        }
      ],
      "gross_amount": 123,
      "is_changed": true,
      "shipping_option": {
        "id": "bring-pick-up-00001",
        "line_id": "bring-pick-up-00001-location-0a1f6b",
        "amount": 3900,
        "title": "Standard",
        "operator": "Bring",
        "countries": [
          "NO"
        ],
        "vat_amount": 975,
        "vat": 25,
        "description": "Pick up at your nearest postal office",
        "delivery_method": "pick_up",
        "operator_product_id": "pick-up-00001-location-0a1f6b",
        "eta": {
          "working_days": [
            1,
            2
          ],
          "shipping_day_of_week": 3,
          "arrival_day_of_week": 3,
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "time_slot": {
          "starts_at": "2020-10-14T19:00:00Z",
          "ends_at": "2020-10-14T20:00:00Z"
        },
        "pick_up_address": {
          "first_name": "John",
          "last_name": "Doe",
          "address_line": "<string>",
          "address_line_2": "<string>",
          "co_address": "Land Lord",
          "business_name": "<string>",
          "postal_code": "0349",
          "postal_place": "Oslo",
          "country": "NO",
          "phone_number": "<string>",
          "email": "<string>",
          "latitude": 123,
          "longitude": 123,
          "comment": "<string>",
          "organization_number": "<string>",
          "organization_type": "<string>",
          "customer_reference": "<string>",
          "cost_center": "<string>",
          "website_url": "<string>",
          "opening_hours": {
            "open_now": true,
            "periods": [
              {
                "opens_at": "08:00",
                "closes_at": "16:00",
                "day_of_week": 1
              }
            ],
            "timezone": "Europe/Oslo"
          },
          "distance": 123
        },
        "metadata": {
          "operator_dest": "XAB1239",
          "number_x": 1921
        },
        "environmental_data": {
          "description": "Fossil free",
          "details": [
            {
              "label": "Carbon offset",
              "value": "1KG CO2"
            }
          ]
        },
        "thumbnail_url": "<string>",
        "pay_in_store": {
          "type": "full"
        },
        "fee_split": {
          "type": "proportional",
          "destinations": [
            "<string>"
          ]
        },
        "splits": [
          {
            "payout_destination_id": "seller-1",
            "amount": 29700
          }
        ],
        "shipments": [
          "<unknown>"
        ]
      },
      "store": {
        "id": "sc029",
        "name": "SC Oslo",
        "business_name": "SC Oslo AS",
        "address": {
          "address_line": "Sommerkroveien 34",
          "postal_place": "Oslo",
          "country": "NO",
          "address_line_2": "PB 123",
          "postal_code": "0349"
        },
        "chain": "SuperChain",
        "email": "contact@superchain.com",
        "gln": "5790001398644",
        "organization_number": "123456789MVA",
        "phone_number": "+4738260107",
        "mcc": "5814",
        "bax": "102603",
        "terminal_id": "T0292",
        "payout_destination_id": "seller-1"
      },
      "discount_lines": [
        {
          "amount": 4400,
          "percentage": 44,
          "discount_type": "customer",
          "discount_id": "766da0ef-9283-42bd-b012-0582344ec53c",
          "description": "<string>",
          "line_id": 1
        }
      ],
      "discount_codes": [
        "SUMMER20"
      ],
      "gift_cards": [
        {
          "type": "dintero.wallets",
          "card_id": "<string>",
          "amount": 123,
          "masked_card_token": "<string>"
        }
      ],
      "payout_destination_id": "<string>"
    },
    "configuration": {
      "auto_capture": true,
      "channel": "ecommerce",
      "publish": [
        {
          "channel": "sms",
          "type": "checkout-link",
          "id": "<string>",
          "status": "sent"
        }
      ],
      "active_payment_types": {
        "enabled": true
      },
      "default_payment_type": "bambora.applepay",
      "bambora": {
        "type": "payment_type",
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "mobilepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "vipps": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "dintero": {
        "type": "payment_type",
        "wallets": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "zero": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "external": {
          "enabled": true,
          "display": {
            "payment_method_label": "<string>",
            "button_label": "<string>",
            "content": {
              "title": "<string>",
              "description": "<string>"
            },
            "terms": [
              {
                "ref": "<string>",
                "label": "<string>",
                "href": "<string>"
              }
            ]
          },
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "dintero_psp": {
        "type": "payment_type",
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false,
          "token_supported_auth_methods": [
            "PASSKEY",
            "3DS"
          ],
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              "<unknown>"
            ]
          },
          "generate_payment_token_config": {
            "save_card_checkbox": "opt_in"
          }
        },
        "vipps": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              "<unknown>"
            ]
          }
        },
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              "<unknown>"
            ]
          },
          "details": {
            "domain_names": [
              "example.dintero.com"
            ],
            "token_event_notification_url": "<string>"
          }
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              "<unknown>"
            ]
          },
          "generate_payment_token": false
        },
        "clicktopay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false,
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              "<unknown>"
            ]
          }
        }
      },
      "instabank": {
        "finance": {
          "enabled": true,
          "payability": "payable",
          "product": "<unknown>"
        },
        "invoice": {
          "enabled": true,
          "payability": "payable",
          "require_applicant": true,
          "product": "<unknown>"
        },
        "installment": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "products": [
            {
              "product_code": "633",
              "credit_time": 36,
              "origination_fee": 9500,
              "notification_fee": 3900,
              "annual_interest_rate": "0.0",
              "minimum_amount": 20000,
              "effective_annual_interest_rate": "54.69",
              "total_amount": 309400,
              "monthly_amount": 100000,
              "first_monthly_amount": 109500,
              "require_applicant_amount": 2500000,
              "loan_example": {
                "amount": 2500000,
                "years": 1,
                "total_amount": 2772300,
                "cost": 272300,
                "effective_annual_interest_rate": "21.38"
              },
              "branding_image_url": "<string>"
            }
          ]
        },
        "postponement": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "products": [
            {
              "product_code": "633",
              "postponement_months": 36,
              "origination_fee": 9500,
              "annual_interest_rate": "0.0",
              "minimum_amount": 20000,
              "notification_fee": 3900,
              "effective_annual_interest_rate": "54.69",
              "total_amount": 309400,
              "require_applicant_amount": 2500000,
              "loan_example": {
                "amount": 2500000,
                "years": 1,
                "total_amount": 2772300,
                "cost": 272300,
                "effective_annual_interest_rate": "21.38"
              },
              "branding_image_url": "<string>"
            }
          ]
        }
      },
      "netaxept": {
        "type": "payment_type",
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "terminal": {
            "terminal": "/Terminal/default.aspx",
            "terminal_single_page": true,
            "terminal_design": "<string>",
            "terminal_layout": "<string>"
          }
        }
      },
      "payex": {
        "dynamic_descriptor": "<string>",
        "swish": {
          "enabled": true,
          "payability": "payable"
        },
        "creditcard": {
          "enabled": true,
          "payability": "payable",
          "generate_payment_token": false,
          "generate_recurrence_token": false,
          "no_cvc": true
        },
        "mobilepay": {
          "enabled": true,
          "payability": "payable"
        },
        "vipps": {
          "enabled": true,
          "payability": "payable"
        },
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "clicktopay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "vipps": {
        "enabled": true,
        "payability": "payable",
        "dynamic_descriptor": "<string>"
      },
      "collector": {
        "type": "payment_type",
        "dynamic_descriptor": "<string>",
        "invoice": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "options": {
            "enable_on_hold": true
          },
          "payability": "payable"
        },
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "countries": [
            "<string>"
          ],
          "options": {
            "disable_collector_b2b_address_enforcement": false,
            "enable_on_hold": true
          }
        },
        "invoice_b2b_preapproved": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "countries": [
            "<string>"
          ],
          "accounts": [
            {
              "billing_address": {
                "business_name": "<string>",
                "organization_number": "<string>",
                "address_line": "<string>",
                "postal_code": "0349",
                "postal_place": "Oslo",
                "country": "NO",
                "phone_number": "<string>",
                "email": "<string>",
                "address_line_2": "<string>",
                "co_address": "<string>",
                "customer_reference": "<string>",
                "cost_center": "<string>",
                "first_name": "John",
                "last_name": "Doe",
                "address_id": "address_1"
              },
              "company_id": "<string>"
            }
          ]
        },
        "finance": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "payability": "payable"
        },
        "installment": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "options": {
            "enable_on_hold": true
          },
          "payability": "payable"
        }
      },
      "klarna": {
        "type": "payment_type",
        "klarna": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "billie": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "kravia": {
        "type": "payment_type",
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "days_until_due": 182,
          "require_identity_verification": true,
          "invoice_channel": "<unknown>"
        },
        "invoice_b2b_grouped": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "invoice_schedule": {
            "interval": "monthly"
          },
          "days_until_due": 182.5,
          "require_identity_verification": true
        },
        "invoice_b2c": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "days_until_due": 182,
          "invoice_channel": "<unknown>",
          "require_identity_verification": true
        }
      },
      "two": {
        "type": "payment_type",
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "duration_days": 14
        }
      },
      "santander": {
        "type": "payment_type",
        "debit_account": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "branding_name": "<string>",
          "accounts": [
            {
              "account_number_token": "<string>",
              "masked_account_number": "<string>"
            }
          ]
        }
      },
      "seitatech": {
        "type": "payment_type",
        "in_person": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "swish": {
        "type": "payment_type",
        "swish": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "payout_enabled": true
        }
      },
      "payout": {
        "dynamic_payout_destination_ids": [
          {
            "type": "order_store_id",
            "order_store_id": "STORE_123",
            "order_payout_destination_id": "PD_123",
            "overwrite_payout_destination_id": false
          }
        ],
        "payment_products": [
          {
            "payment_product": "bambora"
          }
        ]
      },
      "allow_express_wallet_payment": false,
      "age_verification": {
        "enabled": true,
        "minimum_age_required": 18
      },
      "discounts": {
        "type": "discounts",
        "express_discount_codes": {
          "enabled": true,
          "payability": "payable"
        },
        "order": {
          "enabled": false
        }
      },
      "theme": {
        "backdrop": "<string>",
        "primary": "<string>",
        "cardRadius": "<string>",
        "buttonRadius": "<string>"
      },
      "countries": {
        "preferred_country": "<string>",
        "allow_countries": [
          "<string>"
        ],
        "deny_countries": [
          "<string>"
        ]
      },
      "default_customer_type": "b2c",
      "allow_different_billing_shipping_address": []
    },
    "customer": {
      "customer_id": "<string>",
      "email": "john.doe@example.com",
      "phone_number": "+4799999999"
    },
    "expires_at": "2023-11-07T05:31:56Z",
    "checkboxes": [
      {
        "id": "<string>",
        "label": "<string>",
        "checked": true,
        "required": true,
        "link": {
          "url": "<string>",
          "text": "Terms for checkbox action"
        }
      }
    ],
    "express": {
      "shipping_options": [
        {
          "id": "bring-pick-up-00001",
          "line_id": "bring-pick-up-00001-location-0a1f6b",
          "amount": 3900,
          "title": "Standard",
          "operator": "Bring",
          "countries": [
            "NO"
          ],
          "vat_amount": 975,
          "vat": 25,
          "description": "Pick up at your nearest postal office",
          "delivery_method": "pick_up",
          "operator_product_id": "pick-up-00001-location-0a1f6b",
          "eta": {
            "working_days": [
              1,
              2
            ],
            "shipping_day_of_week": 3,
            "arrival_day_of_week": 3,
            "starts_at": "2020-10-14T19:00:00Z",
            "ends_at": "2020-10-14T20:00:00Z"
          },
          "time_slot": {
            "starts_at": "2020-10-14T19:00:00Z",
            "ends_at": "2020-10-14T20:00:00Z"
          },
          "pick_up_address": {
            "first_name": "John",
            "last_name": "Doe",
            "address_line": "<string>",
            "address_line_2": "<string>",
            "co_address": "Land Lord",
            "business_name": "<string>",
            "postal_code": "0349",
            "postal_place": "Oslo",
            "country": "NO",
            "phone_number": "<string>",
            "email": "<string>",
            "latitude": 123,
            "longitude": 123,
            "comment": "<string>",
            "organization_number": "<string>",
            "organization_type": "<string>",
            "customer_reference": "<string>",
            "cost_center": "<string>",
            "website_url": "<string>",
            "opening_hours": {
              "open_now": true,
              "periods": [
                {
                  "opens_at": "08:00",
                  "closes_at": "16:00",
                  "day_of_week": 1
                }
              ],
              "timezone": "Europe/Oslo"
            },
            "distance": 123
          },
          "metadata": {
            "operator_dest": "XAB1239",
            "number_x": 1921
          },
          "environmental_data": {
            "description": "Fossil free",
            "details": [
              {
                "label": "Carbon offset",
                "value": "1KG CO2"
              }
            ]
          },
          "thumbnail_url": "<string>",
          "pay_in_store": {
            "type": "full"
          },
          "fee_split": {
            "type": "proportional",
            "destinations": [
              "<string>"
            ]
          },
          "splits": [
            {
              "payout_destination_id": "seller-1",
              "amount": 29700
            }
          ],
          "shipment_id": "<string>",
          "shipment_items": [
            {
              "line_id": "line-id-1",
              "quantity": 123
            }
          ]
        }
      ],
      "shipping_mode": "shipping_required",
      "discount_codes": {
        "max_count": 123,
        "callback_url": "https://example.com/order/00128110/discount_codes_updated"
      },
      "shipping_address_callback_url": "https://example.com/order/00128110/address_updated",
      "customer_types": [
        "b2c",
        "b2b"
      ],
      "default_different_billing_shipping_address": []
    },
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "customer_ip": "<string>",
    "user_agent": "<string>",
    "initiating_system_request_headers": {
      "dintero-system-name": "woocommerce",
      "dintero-system-version": "5.0.0",
      "dintero-system-plugin-name": "Dintero.Checkout.WooCommerce",
      "dintero-system-plugin-version": "2021.03.02",
      "user-agent": "Mozilla: Mozilla/5.0"
    },
    "payment_operation": "unscheduled_purchase",
    "events": [
      {
        "id": "769952fe-86c9-4185-a1ce-aeb46da3509c",
        "name": "INITIATED",
        "created_at": "2019-05-09T09:13:40.306Z",
        "request_id": "b97b6312-f8b3-11ed-be56-0242ac120002"
      },
      {
        "name": "VISITED",
        "created_at": "2019-05-09T09:13:50.548Z"
      },
      {
        "name": "PAY_FAILED",
        "created_at": "2019-05-09T09:14:10.548Z",
        "details": {
          "error": "Rejected",
          "payment_product_type": "instabank.finance"
        }
      },
      {
        "name": "FAILED",
        "created_at": "2019-05-09T09:16:11.786Z"
      }
    ],
    "transaction_id": "<string>"
  },
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {
    "merchant_name": "<string>",
    "merchant_country": "<string>",
    "merchant_category_code": "<string>",
    "session:profile_id": "<string>",
    "event_reference": "<string>",
    "payout": "payout_account",
    "payout_correlation_id": "<string>",
    "gateway:id": "<string>",
    "bambora:merchant_number": "<string>",
    "bambora:transaction_id": "<string>",
    "bambora:reference": "<string>",
    "bambora:acquirer": "<string>",
    "bambora:wallet": "<string>",
    "collector:StoreId": "<string>",
    "collector:Invoice.InvoiceNumber": "<string>",
    "collector:Invoice.OrderNumber": "<string>",
    "collector:Invoice.CountryCode": "<string>",
    "collector:Invoice.ProductCode": "<string>",
    "collector:Invoice.InvoiceType": "<string>",
    "collector:Invoice.SettlementReference": "<string>",
    "instabank:Sale.ExternalReference": "<string>",
    "instabank:Sale.Sequence": 123,
    "instabank:Sale.Product.Name": "<string>",
    "klarna:authorized_payment_method:type": "invoice",
    "klarna:authorized_payment_method:number_of_days": "<string>",
    "klarna:authorized_payment_method:number_of_installments": "<string>",
    "klarna:authorized_payment_method:fraud_status": "ACCEPTED",
    "netaxept:merchant_id": "<string>",
    "netaxept:transaction_id": "<string>",
    "payex:payment:payee_info:payee_id": "<string>",
    "payex:payment:payee_info:payee_name": "<string>",
    "payex:payment:payee_info:subsite": "<string>",
    "payex:payment:id": "<string>",
    "payex:payment:number": 123,
    "payex:payment:operation": "<string>",
    "payex:payment:created": "2023-11-07T05:31:56Z",
    "santander:debit_account.ApplicationNumber": "<string>",
    "santander:debit_account.StatusCode": "<string>",
    "swish:payment_request:id": "<string>",
    "swish:swish_number": "<string>",
    "swish:id": "<string>",
    "swish:paymentReference": "<string>",
    "vipps:transaction.orderId": "<string>",
    "vipps:transaction.transactionText": "<string>",
    "vipps:merchantInfo.merchantSerialNumber": "<string>",
    "vipps:merchantInfo.paymentType": "eComm Regular Payment",
    "kravia:invoice_number": "<string>",
    "kravia:invoice_reference": "<string>",
    "kravia:invoice_channel": "kravia",
    "kravia:invoice_url": "<string>",
    "kravia:payment_details:bank_account:bban": "<string>",
    "kravia:payment_details:bank_account:iban": "<string>",
    "kravia:payment_details:bank_account:swift": "<string>",
    "kravia:payment_details:kid": "<string>",
    "two:order_id": "<string>",
    "two:payment_url": "<string>",
    "two:merchant_id": "<string>"
  },
  "checkboxes": [
    {
      "id": "<string>",
      "label": "<string>",
      "checked": true,
      "required": true,
      "link": {
        "url": "<string>",
        "text": "Terms for checkbox action"
      }
    }
  ],
  "card": {
    "brand": "Visa",
    "masked_pan": "476173******0416",
    "expiry_date": "<string>",
    "type": "Credit",
    "region": "domestic",
    "country": "NOR",
    "product_platform": "consumer",
    "issuing_bank": "<string>",
    "acquirer_transaction_type": "3DSECURE",
    "acquirer_stan": "<string>",
    "acquirer_terminal_id": "<string>",
    "acquirer_transaction_time": "2023-11-07T05:31:56Z",
    "authentication_status": "Y",
    "three_ds_version": "2",
    "three_ds_server_trans_id": "<string>",
    "eci": "05",
    "payment_system_type": "wallet",
    "payment_token": "<string>",
    "payment_token_id": "<string>",
    "recurrence_token": "<string>",
    "recurrence_token_id": "<string>",
    "card_holder_tokenization_consent": "opt-out",
    "entry_method": "chip"
  },
  "verified_identity": {
    "type": "collector-idp",
    "iss": "https://idp-uat.collectorbank.se",
    "aud": "<string>",
    "acr": "urn:collectorbank:ac:method:nbid",
    "auth_time": "2023-11-07T05:31:56Z",
    "national_idp": "<string>",
    "national_country": "NO",
    "sub": "<string>",
    "nonce": "<string>",
    "name": "John Doe",
    "given_name": "John",
    "family_name": "Doe"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Headers

Dintero-System-Name
string

The name of the ecommerce solution

Example: woocommerce

Maximum string length: 120
Dintero-System-Version
string

The version number of the ecommerce solution

Example: 5.4

Maximum string length: 120
Dintero-System-Plugin-Name
string

The name of the ecommerce plugin

Example: Dintero.Checkout.WooCommerce

Maximum string length: 120
Dintero-System-Plugin-Version
string

The version number of the ecommerce plugin

Example: 2.3.4

Maximum string length: 120

Path Parameters

id
string<checkout-id>
required

The ID of the transaction

Query Parameters

includes
enum<string>[]

Include aditional data in the returned data that are by default excluded from the transaction details.

  • events.request_headers Include the event headers stored for each event deprecated
  • initiating_system_request_headers Include the request headers from the initating system deprecated

From 2023-09, events.request_headers and initiating_system_request_headers will be included by default

Available options:
events.request_headers,
initiating_system_request_headers

Body

application/json
amount
integer<int32>
required

The amount to be captured

Example:

29990

metadata
object

Additional metadata about the resource

All metadata keys must be prefixed with ext_ and the length if key/value pair is 128/256 characters

Example:
{
"ext_system_x_id": "XAB1239",
"ext_number_x": "1921",
"ext_original_currency": "USD",
"ext_original_amount": "3007",
"ext_conversion_rate_ppm": "997258",
"ext_conversion_timestamp": "2025-09-09T08:12:30Z"
}
capture_reference
string

A reference specified by the merchant to identify the transaction

items
object[]

Info about the captured order items

Instabank

required if the transaction payment_product is instabank. The capture will then be applied to the items included.

final_capture
boolean
default:false

Indicates whether the capture is final. If true additional captures on the transaction are not allowed and the authorization on any remaining uncaptured amount will be voided. Only applies to transactions where the payment_product is dintero_psp.

Response

Capture created

payment_product
enum<string>
required

The payment product corresponding to this transaction

Available options:
bambora,
collector,
dintero,
dintero_psp,
instabank,
klarna,
netaxept,
payex,
santander,
swish,
vipps,
kravia,
two,
seitatech
payment_product_type
enum<string>
required

The payment product type corresponding to this transaction

Available options:
bambora.applepay,
bambora.creditcard,
bambora.googlepay,
bambora.mobilepay,
bambora.vipps,
collector.invoice,
collector.invoice_b2b,
collector.invoice_b2b_preapproved,
collector.installment,
dintero.zero,
dintero.wallets,
dintero.external,
dintero_psp.creditcard,
dintero_psp.vipps,
dintero_psp.googlepay,
dintero_psp.applepay,
dintero_psp.clicktopay,
instabank.finance,
instabank.invoice,
instabank.installment,
instabank.postponement,
klarna.klarna,
klarna.billie,
kravia.invoice_b2b,
kravia.invoice_b2b_grouped,
kravia.invoice_b2c,
two.invoice_b2b,
netaxept.creditcard,
payex.creditcard,
payex.mobilepay,
payex.swish,
payex.vipps,
payex.applepay,
payex.clicktopay,
payex.googlepay,
santander.debit_account,
seitatech.in_person,
swish.swish,
vipps
amount
integer
required

Non-negative, minor units. Total amount of the transaction

Example:

72200

currency
string<iso4217-code>
required

ISO 4217 transaction currency

Example:

"NOK"

id
string

An ID that uniquely identifies the resource

created_at
string<date-time>

When the transaction was created

payout_destination_id
string

An id that identifies the seller, value will be included in the settlement reports

Maximum string length: 40
merchant_reference
string

A reference specified by the merchant to identify the transaction

channel
enum<string>
default:ecommerce

The channel for the transaction

Available options:
ecommerce,
in_app,
in_store
platform_type
enum<string>

Type of platform the merchant is.

Available options:
aggregator,
marketplace
merchant_reference_2
string

A reference specified by the merchant to identify the transaction, can be updated after the transaction has been created

dynamic_descriptor
string

A short reference / descriptor that will show up on the customers bank statement

payment_operation
enum<string>

Initiated by the merchant or used to generate a token

Available options:
unscheduled_purchase,
recurring_purchase,
generate_payment_token
settlement_status
enum<string>

Overall settlement status after the events

Available options:
NOT_SETTLED,
PENDING_SETTLEMENT,
PARTIALLY_SETTLED,
SETTLED
customer
object
customer_ip
string

The IP address of the customer

Example:

"127.0.0.1"

user_agent
string

The full user agent string of the device the customer used to submit the transaction

Example:

"Mozilla/5.0 ..."

initiating_system_request_headers
object
shipping_address
object

Address

shipping_option
object

A shipping option

billing_address
object

Address

store
object
status
enum<string>
read-only

The current status of the transaction

Available options:
INITIATED,
AUTHORIZED,
AUTHORIZATION_VOIDED,
CAPTURED,
PARTIALLY_CAPTURED,
PARTIALLY_CAPTURED_REFUNDED,
REFUNDED,
PARTIALLY_REFUNDED,
DECLINED,
FAILED,
UNKNOWN,
ON_HOLD
Example:

"CAPTURED"

gift_cards
object[]

The gift cards that used to partially or fully authorize the transaction

items
object[]

The applicable transaction items

Example:
[
{
"amount": 2000,
"quantity": 2.5,
"line_id": "1",
"description": "Forsvinnignspølse",
"vat": 20,
"id": "10"
},
{
"amount": 6600,
"quantity": 2,
"line_id": "2",
"description": "Vissvossafår på neppebrød",
"vat": 20,
"id": "6",
"eligible_for_discount": true,
"is_changed": true,
"gross_amount": 10000,
"discount_lines": [
{
"amount": 4400,
"discount_type": "customer",
"discount_id": "ed960ace-eb16-4e2e-ae52-b27647ccae8d",
"description": "Vossafestpris",
"line_id": 1
}
]
},
{
"amount": 59700,
"quantity": 3,
"line_id": "3",
"description": "Luftboller",
"vat": 20,
"id": "1"
}
]
url
object
events
object[]

All events recorded on the transaction

Example:
[
{
"event": "INITIATE",
"transaction_status": "INITIATED",
"created_at": "2019-01-18T13:13:37.175Z",
"success": true,
"request_id": "a3dcc23125bc4363b9dae29ed25a4eb1"
},
{
"event": "AUTHORIZE",
"transaction_status": "AUTHORIZED",
"created_at": "2019-01-18T13:13:37.540Z",
"success": true,
"request_id": "f5f64165e5b3404e9af63586c184c3e9"
},
{
"event": "CAPTURE",
"transaction_status": "PARTIALLY_CAPTURED",
"created_at": "2019-01-18T15:37:00.879Z",
"created_by": "99115ac5-2d10-4be4-8594-bbf5e3aa7dfc",
"amount": 59700,
"splits": [
{
"payout_destination_id": "P000000001",
"amount": 29700
},
{
"payout_destination_id": "P000000002",
"amount": 30000
}
],
"fee_split": {
"type": "proportional",
"destinations": ["P000000001"]
},
"items": [
{
"amount": 59700,
"quantity": 3,
"line_id": "3"
}
],
"success": true,
"request_id": "27c71936004e48649c6dd437d314d90c"
},
{
"event": "CAPTURE",
"transaction_status": "CAPTURED",
"created_at": "2019-01-18T21:24:31.669Z",
"created_by": "a33aef94-a17d-447a-a1dd-81055892b59d",
"amount": 8600,
"items": [
{
"amount": 2000,
"quantity": 2,
"line_id": "1"
},
{
"amount": 6600,
"quantity": 2,
"line_id": "2"
}
],
"success": true,
"request_id": "c3e60b98a1d1466c97151318be621cf9"
}
]
session_id
string

The session id for the transaction

Example:

"P00000000.465U8CUzaPVpneu1wt8Wei"

session
object
updated_at
string<date-time>

When the transaction was last modified.

metadata
object

Additional details about the transaction

checkboxes
object[]

Configuration for checkboxes that should be part of the checkout

Maximum array length: 2
card
object
verified_identity
object

Verified identity of the customer aka payer